package com.jasamedika.medifirst2000.dao.custom;

import java.util.List;
import java.util.Map;

public interface GajiPegawaiDaoCustom {

	int findCount(String dateStart, String dateEnd, String detailKategoryPegawai);

	List<Map<String, Object>> getDaftarGajiPegawai(String sort, String dir, String dateStart, String dateEnd,
			String detailKategoryPegawai, String noRec, String gridFor, List<Integer> ruanganList, String status);

	int findCountDetailGajiPegawai(String dateStart, String dateEnd, String detailKategoryPegawai);

	List<Map<String, Object>> getDetailGajiPegawai(String sort, String dir, String dateStart, String dateEnd,
			String detailKategoryPegawai, String noRec, Integer idPegawai);

	Map<String, Object> getTotalGajiPegawai(String dateStart, String dateEnd, String detailKategoryPegawai);

	List<Map<String, Object>> getDetailKompHarga(String dateStart, String dateEnd, String detailKategoryPegawai,
			String noRec, Integer idPegawai);

	List<Map<String, Object>> getDaftarGajiPegawaiVerifikasi(String sort, String dir, String dateStart, String dateEnd,
			String detailKategoryPegawai, String noRec, String gridFor, List<Integer> ruanganList, String status);

	List<Map<String, Object>> getDaftarGajiPegawai(Integer idRekanan, String noRec, String status);

	List<Map<String, Object>> getKlaimPembayaran(String noRegistrasi);

}
